%define module vloopback
%define version 1.0
%define release %mkrel 5

Summary: Video4Linux Loopback Device
Name: dkms-%{module}
Version: %{version}
Release: %{release} 
License: GPL
Group: System/Kernel and hardware
Source0: http://www.lavrsen.dk/twiki/pub/Motion/VideoFourLinuxLoopbackDevice/%{module}-%{version}.tar.bz2
URL: http://www.lavrsen.dk/twiki/bin/view/Motion/VideoFourLinuxLoopbackDevice
Provides: %{module}
Requires: dkms >= 1.00
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
The video4linux device is a driver that implements a video pipe using two
video4linux devices.

Jeroen Vreeken wrote this driver for debugging motion realtime, which worked
very nice and he decided to make something usefull of it. You can use this
driver for looking at motion in realtime or for feeding a webcam while still
securing your room.

Note also that vloopback output can be used by several applications at the same
time.

%prep
%setup -n %{module}-%{version} -q

%build

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}

cp -rf	Makefile \
	vloopback.c \
	$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="%{module}"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/%{module}"

AUTOINSTALL=yes
EOF

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root,-)
%doc README vloopback.html
/usr/src/%{module}-%{version}-%{release}

%post
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade

%preun
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all



%changelog
* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.0-5mdv2009.1
+ Revision: 350649
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-4mdv2009.0
+ Revision: 244355
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-2mdv2008.1
+ Revision: 166597
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2008.0
+ Revision: 94472
- update to new version


* Sun Jul 23 2006 Stefan van der Eijk <stefan@mandriva.org> 1.0-1
- 1.0

* Sat Jun 24 2006 Stefan van der Eijk <stefan@eijk.nu> 0.97-0.snap3.1
- 0.97 snap3

* Sun Feb 05 2006 Stefan van der Eijk <stefan@eijk.nu> 0.97-0.snap2.1mdk
- initial package

